Skip to main content
GET
/
payments
/
employees
/
{employeeId}
/
{statutoryPayId}
cURL
curl --request GET \
  --url https://api.sandbox.flowpayroll.ai/v1/statutory-pay/payments/employees/{employeeId}/{statutoryPayId} \
  --header 'X-Auth-Token: <api-key>'
{
  "content": {
    "data": {
      "organisationId": "<string>",
      "statutoryId": "<string>",
      "employeeId": "<string>",
      "startDate": "<string>",
      "requestedStartDate": "<string>",
      "endDate": "<string>",
      "maxEndDate": "<string>",
      "totalAmount": 123,
      "nonRoundedTotalAmount": 123,
      "breakdownItems": [
        {
          "year": 123,
          "period": 123,
          "frequency": "<string>",
          "week": 123,
          "value": 123,
          "nonRoundedValue": 123
        }
      ],
      "createdBy": "<string>",
      "createdDate": "<string>",
      "updatedBy": "<string>",
      "updatedDate": "<string>",
      "averageEarnings": 123,
      "averageEarningsOverride": 123,
      "relevantPeriodEarnings": [
        {
          "payDate": "<string>",
          "amount": 123,
          "description": "<string>"
        }
      ],
      "dailyBreakdown": [
        {
          "date": "<string>",
          "amount": 123,
          "description": "<string>",
          "isLinked": true
        }
      ],
      "lineItems": [
        {
          "id": "<string>",
          "statutoryPayId": "<string>",
          "statutoryPayType": "<string>",
          "lineItemSequence": 123,
          "activityDate": "<string>",
          "payPeriodStart": "<string>",
          "payPeriodEnd": "<string>",
          "aggregatedAmount": 123,
          "nonRoundedAggregatedAmount": 123,
          "paidAmount": 123,
          "status": "<string>",
          "weekItemIds": [
            "<string>"
          ],
          "createdDate": "<string>",
          "createdBy": "<string>",
          "updatedDate": "<string>",
          "updatedBy": "<string>"
        }
      ],
      "paidWeeksCount": 123,
      "importDetails": {
        "paidUntilDate": "<string>",
        "paidWeeks": 123,
        "higherRateWeeks": 123,
        "higherRateAmount": 123,
        "standardRateWeeks": 123,
        "standardRateAmount": 123
      },
      "warnings": [
        {
          "message": "<string>",
          "details": {
            "accruedWeeks": 123,
            "accruedAmount": 123,
            "accrualPaymentDate": "<string>",
            "closedPeriods": [
              {
                "year": 123,
                "period": 123,
                "payPeriodStartDate": "<string>",
                "payPeriodEndDate": "<string>",
                "paymentDate": "<string>"
              }
            ]
          }
        }
      ],
      "details": {
        "qualifyingEventDate": "<string>",
        "isReceivingStatutoryMaternityPay": true,
        "previousSicknessPeriods": [
          {
            "startDate": "<string>",
            "endDate": "<string>",
            "wereFirstThreeDaysPaid": true
          }
        ],
        "workingDays": {
          "standardWorkingDays": {
            "monday": true,
            "tuesday": true,
            "wednesday": true,
            "thursday": true,
            "friday": true,
            "saturday": true,
            "sunday": true
          },
          "shiftPattern": {
            "rotationStartDate": "<string>",
            "shifts": [
              {
                "name": "<string>",
                "workingDays": {
                  "monday": true,
                  "tuesday": true,
                  "wednesday": true,
                  "thursday": true,
                  "friday": true,
                  "saturday": true,
                  "sunday": true
                },
                "durationInDays": 123,
                "weekNumber": 123
              }
            ],
            "patternType": "<string>",
            "patternWeeks": 123
          },
          "workingPattern": "<string>"
        }
      }
    },
    "metadata": {
      "dateFormat": "<string>",
      "dateTimeFormat": "<string>"
    }
  },
  "metadata": {
    "dateFormat": "<string>",
    "dateTimeFormat": "<string>"
  },
  "errors": [
    {
      "field": "<string>",
      "reasonText": "<string>",
      "reasonId": "<string>",
      "reasonParameters": [
        {
          "key": "<string>",
          "value": "<string>"
        }
      ]
    }
  ],
  "message": {
    "text": "<string>",
    "textId": "<string>",
    "textParameters": [
      {
        "key": "<string>",
        "value": "<string>"
      }
    ]
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.flowpayroll.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-Auth-Token
string
header
required

Authentication token for API access

Path Parameters

employeeId
string
required
statutoryPayId
string
required

Response

OK

content
object
metadata
object
errors
object[] | null
message
object